# Defines security jobs associated with the security:blog_post stage pipeline
.if-security-release-publish: &if-security-release-publish
  if: '($CI_PIPELINE_SOURCE == "pipeline" || $CI_PIPELINE_SOURCE == "web" || $CI_PIPELINE_SOURCE == "api") && ($SECURITY_RELEASE_PIPELINE == "publish" || $SECURITY_RELEASE_PIPELINE == "true")'

.security-release-publish-base:
  extends: .with-bundle
  stage: security_release:publish
  needs: ['security_release_publish:start']
  rules:
    - <<: *if-security-release-publish

security_release_publish:start:
  extends: .with-bundle
  stage: security_release:publish:start
  rules:
    - <<: *if-security-release-publish
  when: manual
  script:
    - bundle exec rake 'security:publish:start'

security_release_publish:move_blog_post:
  extends: .security-release-publish-base
  script:
    - source scripts/setup_ssh.sh
    - source scripts/setup_git.sh
    - bundle exec rake 'security:publish:move_blog_post'

security_release_publish:deploy_blog_post:
  extends: .security-release-publish-base
  needs: ['security_release_publish:move_blog_post']
  script:
    - bundle exec rake 'security:publish:deploy_blog_post'
